#############################################################################
# Makefile for building targets in sub directories.
# Generated by tmake at 05:53, 2002/04/21
#     Project: lib
#    Template: subdirs
#############################################################################

MAKEFILE=	Makefile
TMAKE	=	tmake

SUBDIRS	=	wrl \
		ZThread

all: $(SUBDIRS)

$(SUBDIRS): tmake_all FORCE
	cd $@; $(MAKE)

tmake: Makefile.freebsd

Makefile.freebsd: lib.pro
	tmake lib.pro -o Makefile.freebsd

tmake_all:
	for i in $(SUBDIRS); do ( if [ -d $$i ]; then cd $$i ; pro=`basename $$i`.pro ; $(TMAKE) $$pro -o $(MAKEFILE); grep "TEMPLATE.*subdirs" $$pro 2>/dev/null >/dev/null && $(MAKE) -f $(MAKEFILE) tmake_all || true; fi; ) ; done

clean release debug:
	for i in $(SUBDIRS); do ( if [ -d $$i ]; then cd $$i ; $(MAKE) $@; fi; ) ; done

FORCE:
